#ifndef DATA_ACCES_H
#define DATA_ACCES_H

#include <iostream>
#include <list>

class data_acces
{
public:
  data_acces();
  virtual std::string get_passwd(std::string username) = 0;
  virtual bool get_admin(std::string)=0;
  virtual std::list<std::string> get_pinfo()=0;
  virtual std::list<std::string> get_uinfo()=0;
  virtual void write_install(std::string package, std::string user)=0;
  virtual void write_remove(std::string)=0;
  virtual bool get_package_exists(std::string package)=0;
  virtual void create_user(std::string user, std::string pass, bool admin)=0;
  virtual void remove_user(std::string user)=0;
};

#endif // DATA_ACCES_H
